Get Service Account
curl --request GET \
--url https://api.dfns.io/auth/service-accounts/{serviceAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dfns.io/auth/service-accounts/{serviceAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dfns.io/auth/service-accounts/{serviceAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userInfo": {
"username": "<string>",
"name": "<string>",
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"credentialUuid": "<string>",
"isActive": true,
"isServiceAccount": true,
"isRegistered": true,
"permissionAssignments": [
{
"permissionName": "<string>",
"permissionId": "pm-37vj4-jkr4l-lc9945spfftkne57",
"assignmentId": "as-1vcmc-qrek0-6b4vii9pln60907e",
"operations": [
"<string>"
]
}
],
"orgId": "or-30tnh-itmjs-s235s5ontr3r23h2",
"tenantId": "acct-24hka-dhili-9hgvdlvr1ohpibp4",
"permissions": [
"<string>"
]
},
"accessTokens": [
{
"dateCreated": "2023-04-14T20:41:28.715Z",
"credId": "<string>",
"isActive": true,
"linkedUserId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"linkedAppId": "ap-2a9in-tt2a1-983lho480p35ejd0",
"name": "<string>",
"orgId": "or-30tnh-itmjs-s235s5ontr3r23h2",
"permissionAssignments": [
{
"permissionName": "<string>",
"permissionId": "pm-37vj4-jkr4l-lc9945spfftkne57",
"assignmentId": "as-1vcmc-qrek0-6b4vii9pln60907e",
"operations": [
"<string>"
]
}
],
"publicKey": "<string>",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt",
"accessToken": "<string>"
}
]
}Get Service Account
Get information about a specific Service Account.
GET
/
auth
/
service-accounts
/
{serviceAccountId}
Get Service Account
Authentication
✅ Organization User (CustomerEmployee)❌ Delegated User (
EndUser)✅ Service Account
Required Permissions
Auth:ServiceAccounts:Read: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Path Parameters
ID of the service account.
Required string length:
1 - 64Last modified on July 9, 2026
Was this page helpful?
⌘I